## com.google.appengine.tools.development.testing
Class LocalCapabilitiesServiceTestConfig

    java.lang.Object
      com.google.appengine.tools.development.testing.LocalCapabilitiesServiceTestConfig

All Implemented Interfaces:
  LocalServiceTestConfig

    public class LocalCapabilitiesServiceTestConfig

extends java.lang.Object
implements LocalServiceTestConfig

Config for accessing the local capabilities service in tests.

Constructor Summary
`LocalCapabilitiesServiceTestConfig()`

Method Summary
`static LocalCapabilitiesService` `getLocalCapabilitiesService()`
`void` `setUp()` Set up the local service.
`void` `tearDown()` Tear down the local service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalCapabilitiesServiceTestConfig

    public LocalCapabilitiesServiceTestConfig()

Method Detail

### setUp

    public void setUp()

  Description copied from interface: `LocalServiceTestConfig`
  Set up the local service.

  Specified by:
    `setUp` in interface `LocalServiceTestConfig`

### tearDown

    public void tearDown()

  Description copied from interface: `LocalServiceTestConfig`
  Tear down the local service.

  Specified by:
    `tearDown` in interface `LocalServiceTestConfig`

### getLocalCapabilitiesService

    public static LocalCapabilitiesService getLocalCapabilitiesService()